<?xml version="1.0"?>
<!DOCTYPE Configure PUBLIC "-//Jetty//Configure//EN" "https://jetty.org/configure_10_0.dtd">

<!-- =============================================================== -->
<!-- The DebugHandler                                                -->
<!-- =============================================================== -->

<Configure id="Server" class="org.eclipse.jetty.server.Server">
  <Call name="insertHandler">
    <Arg>
      <New id="DebugHandler" class="org.eclipse.jetty.server.handler.DebugHandler">
        <Set name="outputStream">
          <New class="org.eclipse.jetty.util.RolloverFileOutputStream">
            <Arg type="String"><Property name="jetty.debuglog.dir" default="./logs"/>/yyyy_mm_dd.debug.log</Arg>
            <Arg type="boolean"><Property name="jetty.debuglog.append" default="true"/></Arg>
            <Arg type="int"><Property name="jetty.debuglog.retainDays" default="90"/></Arg>
            <Arg>
              <Call class="java.util.TimeZone" name="getTimeZone"><Arg><Property name="jetty.debuglog.timezone" default="GMT"/></Arg></Call>
            </Arg>
          </New>
      </Set>
      <Set name="showHeaders" type="boolean"><Property name="jetty.debug.showHeaders" default="true"/></Set>
     </New>
    </Arg>
  </Call>
</Configure>
